<?php

namespace Modules\Ajax\Repository;

use Helpers\QueryBuilder\AbsRepository;

class Outil extends AbsRepository
{
    
    /**
     * infoUser
     * @return array<string>
     */
    public function infoUser() : ?array
    {
        $req = 'SELECT NOM, EMAIL,COD_LNG from HASTUTIL with(nolock) where CODE = :idUser';
        
        $arrayReq = [
            ':idUser' => $_SESSION['Session_Login']
        ];
        
        $user = $this->pdo->prepare($req);
        $user->execute($arrayReq);
        return $user->fetch();
    }
}
